[ 
https://issues.apache.org/jira/browse/YARN-2288?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14086538#comment-14086538
 ] 

Zhijie Shen commented on YARN-2288:
-----------------------------------

The last post is incomplete, and posted by trigger wrong hot key. For the last 
point, please refer to
{code}
+      throw new IOException(
+        "Incompatible version for Timeline store: expecting version " 
+            + getCurrentVersion() + ", but loading version " + loadedVersion);
{code}

> Data persistent in timelinestore should be versioned
> ----------------------------------------------------
>
>                 Key: YARN-2288
>                 URL: https://issues.apache.org/jira/browse/YARN-2288
>             Project: Hadoop YARN
>          Issue Type: Sub-task
>          Components: timelineserver
>    Affects Versions: 2.4.1
>            Reporter: Junping Du
>            Assignee: Junping Du
>         Attachments: YARN-2288.patch
>
>
> We have LevelDB-backed TimelineStore, it should have schema version for 
> changes in schema in future.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Reply via email to